Method: agenticCaseReports.publish

Full name: projects.locations.instances.cases.agenticCaseReports.publish

Publishes a agenticCaseReport.

HTTP request

POST https://{endpoint}/v1alpha/{name}:publish

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
name

string

Required. The name of the report to publish.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • chronicle.agenticCaseReports.publish

For more information, see the IAM documentation.